/***************************************************************************
 *   Copyright (C) 2007 by Lisandro Damián Nicanor Pérez Meyer             *
 *   perezmeyer@gmail.com                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef LINE_H
#define LINE_H
#include <QPoint>
#include <QColor>

/// Line holds the information for drawing a line

class Line
{
public:
	Line(QPoint first, QPoint second, QColor theColor);

	/// Get the first point
	QPoint getFirstPoint() const;

	/// Get the second point
	QPoint getSecondPoint() const;

	/// Get the color
	QColor getColor() const;

	/// Get the first point tag
	int getFirstPointTag();

	/// Get the second point tag
	int getSecondPointTag();

	/// Set the first point
	void setFirstPoint(QPoint point);

	/// Set the second point
	void setSecondPoint(QPoint point);

	/// Set the color
	void setColor(QColor theColor);

	/// Set the first point tag
	void setFirstPointTag(int tag);

	/// Set the second point tag
	void setSecondPointTag(int tag);

private:
	/// The first point of the line
	QPoint firstPoint;
	/// The second point of the line
	QPoint secondPoint;
	/// The color of the line
	QColor color;
	/// The first point tag
	int firstTag;
	/// The second point tag
	int secondTag;
};

#endif // Line


